Links

How to install FO

Here are the instructions to install Fabulously Optimized to various launchers.
Can't use Minecraft 1.17 and higher due to hardware limits? Follow this tutorial and then retry.

Supported

  1. 1.
    Select Minecraft from the grid or sidebar
  2. 2.
    Search "Fabulously Optimized"
  3. 3.
    Click Install
  4. 4.
    To run the modpack, hover on the modpack icon and click Play
  5. 5.
    Once the Minecraft Launcher has opened, click Play again
Or directly from the website:
  1. 1.
    Go to the listing page on CurseForge
  2. 2.
    Click Install and accept the prompt in your browser
  3. 3.
    The app should open and download should start
  4. 4.
    To run the modpack, hover on the modpack icon and click Play
  5. 5.
    Once the Minecraft Launcher has opened, click Play again
App version 0.6.2 or higher required.
  1. 1.
    Under "Popular packs" section, hover on "Fabulously Optimized"
  2. 2.
    Click ⤓ Install
  3. 3.
    The modpack will now install.
  4. 4.
    Once installed, hover on the created instance under "Jump back in"
  5. 5.
    Click ▶️ button to play.
You need Java 17 to play the game.
  1. 1.
    Click Add Instance
  2. 2.
    Select Modrinth tab from the left
  3. 3.
    Select "Fabulously Optimized"
  4. 4.
    Click OK
  5. 5.
    The modpack will now install.
  6. 6.
    Once installed, double-click the icon to play.

Steam Deck + Prism Launcher

  1. 1.
    With Steam Deck turned on, hold down (power) and tap Switch to Desktop.
  2. 2.
    From the taskbar, select 👜 "Discover".
  3. 3.
    Tap the searchbar on the top left corner, then press ❎ to open the on-screen keyboard.
  4. 4.
    Search for "Prism Launcher" and tap Install on the first result.
  5. 5.
    Launch it and go through its initial setup process, then close it.
  6. 6.
    Open Steam app, select GamesAdd a Non-Steam Game to My Library... → select Prism Launcher → ADD SELECTED PROGRAMS.
  7. 7.
    Close Steam and launch Return to Gaming Mode.
  8. 8.
    Launch Prism Launcher from your game library.
  9. 9.
    Tap Add Instance
  10. 10.
    Select Modrinth tab from the left
  11. 11.
    Select "Fabulously Optimized"
  12. 12.
    Click OK
  13. 13.
    The modpack will now install.
  14. 14.
    Once installed, double-tap the icon and wait.
  15. 15.
    Tap Options...Controls...Controller Settings...
  16. 16.
    Select a controller, then DoneDoneDone
  17. 17.
    The game is now set up and you can just launch it from your game library from now on.
  18. 18.
    Bonus: if you want a better icon in your game library, follow these instructions.
P.S. If you get Deck-specific issues, try asking on r/SteamDeck as FO moderators may not have one.

MultiMC

You need Java 17 to play the game.
  1. 1.
    Click Add Instance
  2. 2.
    Select Modrinth tab from the left
  3. 3.
    Select "Fabulously Optimized"
  4. 4.
    Click OK
  5. 5.
    The modpack will now install.
  6. 6.
    Once installed, double-click the icon to play.

MultiMC (auto-update)

You need Java 17 to play the game.
  1. 1.
    Go to readme, click "Alternative downloads"
  2. 2.
    Click the version number you need in the MultiMC (auto-update) section
  3. 3.
    Drag the ZIP-archive to MultiMC window, and hit OK in the window that pops up.
  4. 4.
    Double-click that version you just created to download and launch the modpack
Got asked to download a mod manually?
If you get asked to download a specific jar, it means I am not allowed to bundle it and you must add it manually:
  1. 1.
    Copy and paste the given address to your browser
  2. 2.
    Click Cancel Launch
  3. 3.
    Click Download on the mod
  4. 4.
    On MultiMC, click on the instance, then click View Mods
  5. 5.
    Drag the downloaded mod into the mod list
  6. 6.
    Click Launch

Minecraft Launcher (vanilla)

For macOS or Linux you need Java to run the Fabric Installer.
  1. 1.
    Download and install Fabric Loader version 0.15.7
    • Remember that the installer version doesn't matter, what matters is the loader version that appears when you run the installer.
  2. 2.
    Open Minecraft Launcher, click Installations, then click 📂 on the Fabric installation
  3. 3.
    Open this site and click on the version you want
    • If you got a prompt for popup windows or multiple downloads, please accept it - technical limitation.
    • Looking for older versions? Read the "legacy instructions" below.
  4. 4.
    Open the zip file and copy all folders (why?) to your .minecraft folder
    • If asked - replace the files.
  5. 5.
    Recommended: delete options.txt to get FO default settings
    • Your vanilla options like selected resource packs, language, keybinds will be reset but you can reapply them later.
    • If you choose not to do this, please at least enable bundled resource packs manually.
  6. 6.
    Launch the installed Fabric profile
  7. 7.
    If you now see "Fabulously Optimized" in the right bottom corner, you're done!
Legacy instructions - FO 4.6.1/Minecraft 1.19.3 and older
  1. 1.
    Download and install Fabric Loader
    • Minecraft 1.19-1.19.3: Fabric Loader 0.14.24
    • Minecraft 1.17-1.18.2: Fabric Loader 0.14.12
    • Minecraft 1.16.5: Fabric Loader 0.13.3 and Java 8
    • Remember that the installer version doesn't matter, what matters is the loader version that appears when you run the installer.
  2. 2.
    Open Minecraft Launcher, click Installations, then click 📂 on the Fabric installation
  3. 3.
    Go to Files on CurseForge
  4. 4.
    Click the version you need, then click "Additional files"
  5. 5.
    Click Download file on the latest MultiMC version
    • If you see less than 10 mods in the zip, you downloaded the wrong version.
  6. 6.
    Open the zip file, go to Fabulously Optimized x.x.x > minecraft
  7. 7.
    Open the zip file and copy all folders (why?) from zip's minecraft folder to your .minecraft folder
    • If asked - replace the files.
  8. 8.
    Recommended: delete options.txt to get FO default settings
    • Your vanilla options like selected resource packs, language, keybinds will be reset but you can reapply them later.
    • If you choose not to do this, please at least enable bundled resource packs manually.
  9. 9.
    Launch the installed Fabric profile
  10. 10.
    If you now see "Fabulously Optimized" in the right bottom corner, you're done!
A simple installer for vanilla launcher is planned!

Not supported

GDLauncher

Due to technical limits and issues, GDLauncher is no longer supported. It is recommended to migrate to Prism Launcher:
  1. 2.
    Click Add Instance
  2. 3.
    Select Modrinth tab from the left
  3. 4.
    Select "Fabulously Optimized"
  4. 5.
    Click OK
  5. 6.
    The modpack will now install.
  6. 7.
    Once installed, click the Folder button on the left.
  7. 8.
    Open GDLauncher
  8. 9.
    Right click on your previously used instance → Open Folder
  9. 10.
    Copy the important files and folders over:
    • saves for your local worlds
    • resourcepacks, if you use any (do not copy old versions of FO-bundled packs though)
    • screenshots
    • servers.dat for your multiplayer servers
    • options.txt, if you want to keep your vanilla option changes
  10. 11.
    Launch the instance on Prism and confirm everything is correct
  11. 12.
    Uninstall GDLauncher
GDLauncher Carbon may be supported in the future.

Pojav Launcher

Pojav Launcher is not yet supported due to drawbacks (long installation process, high energy usage, performance may not be better etc), but is being considered.

ATLauncher

Not to be confused with TLauncher.
ATLauncher is currently not supported simply because the interface is confusing and complex. There have been discussions with its developer to improve this and it may be considered in the future.

PolyMC

PolyMC is compromised and you should uninstall it immediately!
To migrate to Prism Launcher (a safe fork of PolyMC), follow these instructions:
  1. 1.
    Uninstall PolyMC
  2. 2.
    Install Prism Launcher
  3. 3.
    Launch it and pay attention to the prompt you get:
    1. 1.
      It looks like you used PolyMC before. Do you want to migrate your data to the new location of Prism Launcher?
      • Click Yes and the migration will complete.
    2. 2.
      It looks like you used PolyMC on Windows before. Do you want to migrate your data to the new location of Prism Launcher?
      • Click Yes and the migration will complete.
    3. 3.
      Old data from PolyMC was found, but you already have existing data for Prism Launcher. Sadly you will need to migrate yourself. Do you want to be reminded of the pending data migration next time you start Prism Launcher?
      • Click No and follow manual migration instructions below.
  4. 4.
    If needed, update or install the modpack again
  5. 5.
    To run the modpack, double click the Fabulously Optimized icon
Manual migration
  1. 1.
    Close Prism Launcher
  2. 2.
    Go to one of these directories according to your operating system:
    • Portable (Windows/Linux): PolyMC/instances
    • Windows: %APPDATA%/PolyMC/instances
    • macOS: ~/Library/Application Support/PolyMC/instances
    • Linux: ~/.local/share/PolyMC/instances
  3. 3.
    Select all the files and folders in the instances folder, right click on one of them and select Copy
  4. 4.
    Open Prism Launcher, click Folders, then View Instance Folder
  5. 5.
    Once your instance folder has opened, right click anywhere and select Paste
  6. 6.
    Close Prism Launcher and reopen it, your instances should be there
  7. 7.
    Sign in to your accounts, configure Prism Launcher to your preferences

TLauncher

Not to be confused with ATLauncher.
TLauncher is malware, so it will never be supported by Fabulously Optimized. It is highly recommended to reset your entire computer, then come back to this page and follow install instructions for any supported launcher.

Cracked launchers

Any launchers that let you run the game without having purchased it first are not supported.
There is a legitimate way to obtain Minecraft for cheaper: get a giftcode from a trusted reseller. After that, pick any supported launcher from this page and enjoy the game!

Other launchers

Technically you can install it in some other launchers that support CurseForge or Modrinth modpacks or in any launcher by following the vanilla instructions. However, please do not ask for support here if you use an unsupported launcher.

Other modpacks

Some users have experienced interest in using FO with other, content-focused modpacks.
While it is theoretically possible, this is not advised:
  • mods may have conflicts
  • neither FO or the other modpack will be able to support you
Instead, we recommend you to use FO with other mods added by you.

Game clients

Fabulously Optimized is not compatible with any "game clients", including "hacked clients" and "PvP clients". Use normal mods instead!

Bedrock Edition

Fabulously Optimized is not compatible with Bedrock Edition. See also: Pojav Launcher

Servers

Any server that works with vanilla Minecraft is supported, no changes are necessay to the server. See server setup for tips.

Quilt

Fabulously Optimized is currently based on Fabric, not Quilt. It may run on Quilt, but it has not been tested and is not currently supported to ensure all mods work reliably.
If there becomes a need, Fabulously Optimized will move to Quilt overall and then it will be fully supported. Read more on issue #257.
Last modified 16h ago
Copyright 2020-2024 Fabulously Optimized Authors. NOT AN OFFICIAL MINECRAFT PRODUCT. NOT APPROVED BY OR ASSOCIATED WITH MOJANG OR MICROSOFT.